Skip to main content
POST
/
v1
/
api
/
dashboard
/
remove-charts
Remove charts from a dashboard
curl --request POST \
  --url https://api.upsolve.ai/v1/api/dashboard/remove-charts \
  --header 'Content-Type: application/json' \
  --header 'authorization: <api-key>' \
  --data '
{
  "dashboardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chartIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "apiKey": "<string>",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connectionId": "<string>"
}
'
{
  "status": "<string>",
  "data": {
    "message": "<string>",
    "removedChartIds": [
      "<string>"
    ],
    "dashboardId": "<string>"
  }
}

Authorizations

authorization
string
header
required

Body

application/json

POST /v1/api/dashboard/remove-charts Request body

dashboardId
string<uuid>
required

ID of the dashboard to remove charts from

chartIds
string<uuid>[]
required

IDs of charts to remove from the dashboard layout

Minimum array length: 1
apiKey
string

Upsolve API key, generated in the Deploy tab of the Upsolve Hub.

Minimum string length: 1
organizationId
string<uuid>

The ID of the organization. Required when using Supabase JWT authentication.

connectionId
string

The ID of the connection a guest has access to

Response

POST /v1/api/dashboard/remove-charts Positive response

status
string
required
Allowed value: "success"
data
object
required